# string::to-upper

[This is preliminary documentation and subject to change.]

Returns the specified string converted to uppercase.

### Usage

`string string::to-upper(s)`

### Parameters

Name | Type | Description
--- | --- | ---
s | string | input string

### Return Value

The string s in uppercase.

### Remarks

The casing rules of the invariant culture are used to convert the s to uppercase.

### Examples

-     string::to-upper('testing string') ==> 'TESTING STRING'

-     string::to-upper('Testing String') ==> 'TESTING STRING'

-     string::to-upper('Test 123') ==> 'TEST 123'

### Requirements

Assembly: NAnt.Core (0.85.1932.0)